<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'bnk:list' %}">Bancos </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'cre:list' %}">Créditos <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <div class="container mt-3">
            <div class="row">
                <!-- Messages -->
                <div class="col-lg-4">
                    {% if messages %}
                        <ul class="messages list-group mb-3">
                            {% for message in messages %}
                                <li {% if message.tags %} class="{{ message.tags }} list-group-item list-group-item-success text-center" {% endif %}>
                                    {{ message }}
                                </li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </div>
                <!-- Create button -->
                <div class="col-lg-8">
                    <div class="btn_crear">
                        <a href="{% url 'cre:create' %}" type="button" class="btn btn-primary float-right mb-3">Crear</a>
                    </div>
                </div>
            </div>
            <!-- List of Credits -->
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Cliente</th>
                        <th>Descripción</th>
                        <th>Pago mínimo</th>
                        <th>Pago máximo</th>
                        <th>Plazo</th>
                        <th>Registro</th>
                        <th>Banco</th>
                        <th>Tipo</th>
                    </tr>
                </thead>
                <tbody>
                    {% for credit in object_list %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ credit.client }}</td>
                        <td>{{ credit.description }}</td>
                        <td>{{ credit.minimum_payment }}</td>
                        <td>{{ credit.maximum_payment }}</td>
                        <td>{{ credit.term_months }} meses</td>
                        <td>{{ credit.register_date |date:"M d, Y" }}</td>
                        <td>{{ credit.bank }}</td>
                        <td>{{ credit.get_credit_type_value }}</td>
                    </tr>
                  {% endfor %}
                  </tbody>
            </table>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>